:root{
    --main-bg-color: #fff;
    --main-text-color: #888888
}
[data-theme="dark"]{
    --main-bg-color: #15151a;
    --main-text-color: #ffffff;
}
*{
    box-sizing: border-box;   
}
body{
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    font-size: 16px;
    background-color: var(--main-bg-color);
    position: relative;
    transition: all ease 0.2;
}
.page-header{
    font-size: 3rem;
    color: var(--main-text-color);
    padding: 3rem 0;
    font-family: "Finger Paint", cursive;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 4px;
    transition: all ease 0.2s;
}
.clock{
    min-height: 18rem;
    min-width: 18rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--main-bg-color);
    background-image: url("https://ik.imagekit.io/zyl3eqgrn/clock.png?updatedAt=1691428343764");
    background-position: center;
    background-size: cover;
    border-radius: 50%;
    border: 4px solid var(--main-bg-color);
    box-shadow: 0 -15px 15px rgba(255, 255, 255, 0.05), inset 0 -15px 15px rgba(255, 255, 255, 0.05), 0 15px 15px rgba(0,0,0,0.3), inset 0 15px 15px rgba(0,0,0,0.3);
    transition: all ease 0.2s;
}
.clock::before{
    content:'';
    height: 0.75rem;
    width: 0.75rem;
    background-color: var(--main-text-color);
    border: 2px solid var(--main-bg-color);
    position: absolute;
    border-radius: 50%;
    z-index: 2;
    transition: all ease 0.2s;
}
.hour,
.min,
.sec{
    position: absolute;
    display: flex;
    justify-content: center;
    border-radius: 50%;
}
.hour{
    height: 8em;
    width: 8em;   
}
.hour::before{
    content:'';
    position: absolute;
    height: 50%;
    width: 6px;
    background-color: var(--main-text-color);
    border-radius: 6px;
}
.min{
    height: 10em;
    width: 10em;   
}
.min::before{
    content:'';
    height: 50%;
    width: 4px;
    background-color: var(--main-text-color);
    border-radius: 4px;
}
.sec{
    height: 12em;
    width: 12em;   
}
.sec::before{
    content:'';
    height: 60%;
    width: 2px;
    background-color: #f00;
    border-radius: 2px;
}

.switch-cont{
    margin: 2em auto;
    bottom: 0;
}
.switch-cont .switch-btn{
    font-family: "Finger Paint", cursive;
    text-transform: uppercase;
    outline: none;
    padding: 0.5rem 1rem;
    background-color: var(--main-bg-color);
    color: var(--main-text-color);
    border: 1px solid var(--main-text-color);
    border-radius: 0.25rem;
    cursor: pointer;
    transition: all ease 0.3s;
}